Resent-Date: Mon, 23 Aug 1999 09:58:16 +0200 (MET DST)
Date: Mon, 23 Aug 1999 09:58:12 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Jes Sorensen <Jes.Sorensen@cern.ch>
cc: linux-m68k@lists.linux-m68k.org, linux-m68k@phil.uni-sb.de
Subject: Re: 2.3.14
In-Reply-To: <199908191704.TAA07148@lxp03.cern.ch>
Resent-From: linux-m68k@phil.uni-sb.de

On Thu, 19 Aug 1999, Jes Sorensen wrote:
> It's true, I actually released 2.3.14. It's pretty nice I'd say, though
> I still haven't had time to do more about the interrupt code.

And here is my first bunch of patches:

  - Fix warning in ide-probe.c
  - Fix call to nonexistent function in dmasound.c
  - Fix warning in strings.c
  - Fix nonexistent (and unused since it compiles now?) include in rfc.c

However, the kernel still crashes after loading the Ariadne module. Any chance
you forgot Roman Zippel's last small cache flush patch?

--- m68k-2.3.14/drivers/block/ide-probe.c.orig	Mon Aug 16 10:13:05 1999
+++ m68k-2.3.14/drivers/block/ide-probe.c	Sun Aug 22 21:26:29 1999
@@ -413,7 +413,7 @@
 	ide_ioreg_t ide_control_reg 	= hwif->io_ports[IDE_CONTROL_OFFSET];
 	ide_ioreg_t region_low 		= hwif->io_ports[IDE_DATA_OFFSET];
 	ide_ioreg_t region_high 	= region_low;
-	ide_ioreg_t region_request	= 8;
+	unsigned int region_request	= 8;
 	int i;
 
 	if (hwif->noprobe)
--- m68k-2.3.14/drivers/sound/dmasound.c.orig	Sun Aug 22 20:31:46 1999
+++ m68k-2.3.14/drivers/sound/dmasound.c	Sun Aug 22 21:29:38 1999
@@ -5646,7 +5646,9 @@
 		sound.mach.irqcleanup();
 	}
 
+#ifdef CONFIG_PPC
 	sq_release_read_buffers();
+#endif
 	sq_release_buffers();
 
 	if (mixer_unit >= 0)
--- m68k-2.3.14/lib/string.c.orig	Mon Aug 16 10:13:19 1999
+++ m68k-2.3.14/lib/string.c	Sun Aug 22 21:27:53 1999
@@ -364,7 +364,7 @@
 #endif
 
 #ifndef __HAVE_ARCH_MEMCHR
-void *memchr(const void *s, int c, size_t n)
+const void *memchr(const void *s, int c, size_t n)
 {
 	const unsigned char *p = s;
 	while (n-- != 0) {
--- m68k-2.3.14/net/khttpd/rfc.c.orig	Sun Aug 22 20:31:57 1999
+++ m68k-2.3.14/net/khttpd/rfc.c	Sun Aug 22 21:18:54 1999
@@ -43,7 +43,6 @@
 #include <asm/semaphore.h>
 #include <asm/processor.h>
 #include <asm/uaccess.h>
-#include <asm/msr.h>
 
 
 #include "prototypes.h"

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

